import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

sns.set(style="ticks")

mpg = sns.load_dataset("mpg")
mpg_mod = mpg[["mpg", "weight", "displacement", "origin"]]

pg = sns.PairGrid(mpg_mod, hue='origin')
pg.map(plt.scatter)

plt.show()
